Bug 142913 - FILEOPEN PPTX Slideshow setting “Start from” not imported
Summary: FILEOPEN PPTX Slideshow setting “Start from” not imported
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords: filter:pptx
Depends on:
Blocks: PPTX-SlideShowSettings
  Show dependency treegraph
 
Reported: 2021-06-17 12:58 UTC by NISZ LibreOffice Team
Modified: 2021-07-05 08:45 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from PowerPoint (36.13 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2021-06-17 12:58 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in PowerPoint and Impress (142.00 KB, image/png)
2021-06-17 12:59 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-06-17 12:58:30 UTC
Created attachment 172974 [details]
Example file from PowerPoint

Attached example file contains the slide show setting “First slide” turned on and set to the second slide.
When opened in Impress the Slide Show Settings dialog displays the Range as “All slides”.

Steps to reproduce:
    1. Open attached file
    2. Open Slide Show – Slide Show Settings menu

Actual results:
The Range is “All slides”.

Expected results:
Under the Range the “From” option should be selected and the “Second slide” selected.

The example file also has the “To” option set to the third slide, but there is no such option in Impress. Maybe we want to develop one later.

LibreOffice details:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: b89ebf135818ccaa45bbfb164099a6e199bd7d11
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-06-17 12:59:19 UTC
Created attachment 172975 [details]
Screenshot of the original document side by side in PowerPoint and Impress
Comment 2 Commit Notification 2021-06-29 07:50:53 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3d55149dcf19cffefcc19c16a3abbe8851453c5e

tdf#142913 PPTX: slideshow setting “Start from” not imported

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-06-29 20:50:34 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/f0c8a0a00d74a21ac940923f02710bdceb63f508

tdf#142913 PPTX: slideshow setting “Start from” not imported

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 NISZ LibreOffice Team 2021-07-05 08:45:04 UTC
Verified in: 

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3964e0854507b2696ae0fbe48a4fb005c779947e
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: en-DK (hu_HU); UI: en-GB
Calc: threaded